# Class CIM_HelpServiceAvailableToFile
extends CIM_ServiceAvailableToElement

CIM_HelpServiceAvailableToFile indicates that the service is available for accessing the help file.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ServiceAvailableToElement
|
+--CIM_HelpServiceAvailableToFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_HelpServiceAvailableToFile indicates that the service is available for accessing the help file.
UMLPackagePath | string | CIM::System::Help
Version | string | 2.9.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DocumentFormat | uint16 |
Description | string | Document format for the associated file.
ModelCorrespondence | string | CIM_HelpServiceAvailableToFile.OtherDocumentFormatDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6
Values | string | Unknown, Other, XML, HTML, Binary, Executable, .hlp
OtherDocumentFormatDescription | string |
Description | string | Describes the format of the file when DocumentFormat= "Other" is specified.
ModelCorrespondence | string | CIM_HelpServiceAvailableToFile.DocumentFormat

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ServiceProvided | CIM_HelpServiceAvailableToFile | CIM_HelpService
UserOfService | CIM_HelpServiceAvailableToFile | CIM_LogicalFile

## Class Methods